Vmp class

A Virtual MPI communication layer object. More...

## Files

file | vmp.h
| Class Vmp: a Virtual MPI communication layer object.

## Classes

struct | sVmp
| Contains public data members for Vmp class. More...

## Typedefs

typedef struct sVmp | Vmp
| Declaration of the Vmp class as teh Vmp structure.

## Functions

int | Vmp_init (int *argc, char ***argv)
| The Vmp initializer.
int | Vmp_finalize (void)
| The Vmp finalizer.
Vmp * | Vmp_ctor (void)
| The Vmp constructor.
void | Vmp_dtor (Vmp **thee)
| The Vmp destructor.
int | Vmp_rank (Vmp *thee)
| Return my processor ID.
int | Vmp_size (Vmp *thee)
| Return the number of processors involved.
int | Vmp_barr (Vmp *thee)
| An MPI barrier.
int | Vmp_send (Vmp *thee, int des, char *buf, int bufsize)
| An MPI blocking send.
int | Vmp_recv (Vmp *thee, int src, char *buf, int bufsize)
| An MPI blocking receive.

## Detailed Description

A Virtual MPI communication layer object.

## Typedef Documentation

## Vmp

typedef struct sVmp Vmp

Declaration of the Vmp class as teh Vmp structure.

Author
  Michael Holst

## Function Documentation

## Vmp_barr()

int Vmp_barr | ( | Vmp * | thee | ) |

An MPI barrier.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  thee | Pointer to the Vmp object

## Vmp_ctor()

Vmp * Vmp_ctor | ( | void |  | ) |

The Vmp constructor.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

## Vmp_dtor()

void Vmp_dtor | ( | Vmp ** | thee | ) |

The Vmp destructor.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  None

Parameters

  thee | Pointer to pointer of Vmp object

## Vmp_finalize()

int Vmp_finalize | ( | void |  | ) |

The Vmp finalizer.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

## Vmp_init()

int Vmp_init | ( | int * | argc,
|  | char *** | argv )

The Vmp initializer.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  argc | number of the command line arguments
  argv | the command line arguments

## Vmp_rank()

int Vmp_rank | ( | Vmp * | thee | ) |

Return my processor ID.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  thee | Pointer to the Vmp object

## Vmp_recv()

int Vmp_recv | ( | Vmp * | thee,
|  | int | src,
|  | char * | buf,
|  | int | bufsize )

An MPI blocking receive.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  thee | Pointer to the Vmp object
  src | rank of receiving processor
  buf | buffer containing message
  bufsize | number of items (of declared type) in buffer

## Vmp_send()

int Vmp_send | ( | Vmp * | thee,
|  | int | des,
|  | char * | buf,
|  | int | bufsize )

An MPI blocking send.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  thee | Pointer to the Vmp object
  des | rank of receiving processor
  buf | buffer containing message
  bufsize | number of items (of declared type) in buffer

## Vmp_size()

int Vmp_size | ( | Vmp * | thee | ) |

Return the number of processors involved.

Author
  Michael Holst

Note
  Class Vmp: Non-inlineable method (vmp.c)

Returns
  Success enumeration

Parameters

  thee | Pointer to the Vmp object